Audacious tries and fails to detect a disc in drive I: every time it opens
Description

Whenever I start Audacious, a window pops up, saying: "There is no disk in the drive. Please insert a disc into drive I:.". When I click

"Continue," Audacious starts up just fine. There is indeed no disc in that drive, but it doesn't seem to have any effect on the function

of Audacious. I'm running Windows 10 Home 64-bit.

History

#1 - March 18, 2017 10:43 - John Lindgren

Do you have a playlist referencing files on I: ?

#2 - April 02, 2017 01:40 - Luke Tomaneng

I've tried "Playlist > Remove unavailable files," as well as uninstalling and reinstalling Audacious. The error is still there. I do not recall adding any files

from any drive other than C:.

#3 - April 03, 2017 02:05 - John Lindgren

I don't know what is trying to access I: then.  Maybe something in GLib.  It would probably take a debugger backtrace to figure out.  Unfortunately I

have never seen this problem on my system.

#4 - April 23, 2017 23:58 - Luke Tomaneng

What debugging tool should I use, and how?

#5 - April 24, 2017 03:14 - John Lindgren

I would use GDB in a MinGW environment, but it's an involved process, so unfortunately I can't walk you through it.

#6 - April 26, 2017 16:09 - Luke Tomaneng

Since Audacious seemed to retain my library (and the bug) after a reinstall, I assume Audacious relies on the Windows registry to maintain some of

its settings. Can I delete or change some keys to do a completely clean reinstall?

#7 - April 27, 2017 00:41 - John Lindgren

We don't keep any settings in the registry; they are under AppData\Local\audacious.

#8 - April 27, 2017 02:07 - Luke Tomaneng

I have tried a clean reinstall of Audacious by using uninstall.exe, then deleting the folder you mentioned, then running the NSIS installer. I have done

this with versions 3.8.2, 3.8.1, and 3.8., in that successive order. The bug persists.

#9 - April 27, 2017 17:30 - John Lindgren

Inkscape has a similar bug report which turned out to be caused by GTK's "recent files" list:

https://bugs.launchpad.net/inkscape/+bug/950781

If you can find a file named .recently-used.xbel within your user folder, try deleting that file.
Otherwise it seems there is a Windows API function we could use to disable the message:

https://msdn.microsoft.com/en-us/library/windows/desktop/ms680621.aspx

#10 - April 30, 2017 22:55 - John Lindgren

- Category set to core

- Status changed from New to Closed

- Target version set to 3.9

- % Done changed from 0 to 100

Fixed in Git.
